// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import "~@angular/material/theming";
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$athena-client-primary: mat-palette($mat-blue);
$athena-client-accent: mat-palette($mat-light-blue, A200, A100, A400);

// The warn palette is optional (defaults to red).
$athena-client-warn: mat-palette($mat-red);

$athena-client-primary-dark: mat-palette($mat-purple);
$athena-client-accent-dark: mat-palette($mat-light-green, A200, A100, A400);
$athena-client-warn-dark: mat-palette($mat-pink);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$athena-client-theme: mat-light-theme((color: (primary: $athena-client-primary,
      accent: $athena-client-accent,
      warn: $athena-client-warn,
    ),
  ));

$athena-client-theme-dark: mat-dark-theme((color: (primary: $athena-client-primary-dark,
      accent: $athena-client-accent-dark,
      warn: $athena-client-warn-dark,
    ),
  ));

/* You can add global styles to this file, and also import other style files */

html,
body {
  height: 100%;
}

body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

.theme-dark {
  @include angular-material-theme($athena-client-theme-dark);
}

.theme-light {
  @include angular-material-theme($athena-client-theme);
}

// Set max space between (navbar)
.example-spacer {
  flex: 1 1 auto;
}

@import 'bulma/css/bulma.css';
@import '~ngx-owl-carousel-o/lib/styles/scss/owl.carousel';
@import '~ngx-owl-carousel-o/lib/styles/scss/owl.theme.default';

.owl-theme .owl-nav [class*=owl-] {
  background: #424242;
  color: #FFF;
  text-decoration: none;
}

.owl-theme .owl-nav [class*=owl-]:hover {
  background: #737373;  
}

.owl-theme .owl-dots .owl-dot.active span, .owl-theme .owl-dots .owl-dot:hover span {
  background: #737373;
}
